Bug 606132 - SELinux powstrzymuje /home/marek/.PlayOnLinux/WineVersions/1.1.44/usr/bin/wine-preloader przed wczytaniem /home/marek/.PlayOnLinux/WineVersions/1.1.44/usr/lib/wine/uxtheme.dll.so, który wymaga relokacji tekstu.
SELinux powstrzymuje /home/marek/.PlayOnLinux/WineVersions/1.1.44/usr/bin/win...
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
setroubleshoot_trace_hash:e9a37d59860...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-20 16:37 EDT by Marek Jędrzejewski
Modified: 2010-08-31 03:21 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-29 04:33:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marek Jędrzejewski 2010-06-20 16:37:55 EDT
Podsumowanie:

SELinux powstrzymuje
/home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/bin/wine-preloader przed
wczytaniem
/home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/lib/wine/uxtheme.dll.so, który
wymaga relokacji tekstu.

Szczegółowy opis:

Aplikacja JediOutcast.exe próbowała wczytać
/home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/lib/wine/uxtheme.dll.so, który
wymaga relokacji tekstu. Jest to potencjalny problem z bezpieczeństwem.
Większość bibliotek nie musi mieć tego pozwolenia. Mogą one czasem być
niepoprawnie napisane i żądać tego pozwolenia. Strona WWW Testy ochrony
pamięci SELinuksa (http://people.redhat.com/drepper/selinux-mem.html)
wyjaśnia, jak usunąć te wymaganie. Można tymczasowo skonfigurować obejście
SELinuksa, aby pozwalał
/home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/lib/wine/uxtheme.dll.so na
użycie relokacji, dopóki biblioteka nie zostanie naprawiona. proszę z

Zezwalanie na dostęp:

Jeśli /home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/lib/wine/uxtheme.dll.so
ma zaufanie, że będzie poprawne się uruchomiał, można zmienić kontekst
pliku na textrel_shlib_t. "chcon -t textrel_shlib_t
'/home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/lib/wine/uxtheme.dll.so'"
Należy także zmienić domyślny kontekst plików w systemie, aby zachować go
nawet po pełnym ponownym nadaniu etykiet. "semanage fcontext -a -t
textrel_shlib_t
'/home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/lib/wine/uxtheme

Polecenie naprawy:

chcon -t textrel_shlib_t
'/home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/lib/wine/uxtheme.dll.so'

Dodatkowe informacje:

Kontekst źródłowy          unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Kontekst docelowy             unconfined_u:object_r:user_home_t:s0
Obiekty docelowe              /home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/l
                              ib/wine/uxtheme.dll.so [ file ]
Źródło                     wine
Ścieżka źródłowa         /home/(usunięto)/.PlayOnLinux/WineVersions/1.1.42/usr/b
                              in/wine-preloader
Port                          <Nieznane>
Komputer                      (usunięto)
Źródłowe pakiety RPM       
Docelowe pakiety RPM          
Pakiet RPM polityki           selinux-policy-3.7.19-23.fc13
SELinux jest włączony       True
Typ polityki                  targeted
Tryb wymuszania               Enforcing
Nazwa wtyczki                 allow_execmod
Nazwa komputera               (usunięto)
Platforma                     Linux (usunięto) 2.6.33.5-124.fc13.x86_64 #1 SMP Fri
                              Jun 11 09:38:12 UTC 2010 x86_64 x86_64
Liczba alarmów               241
Po raz pierwszy               nie, 20 cze 2010, 22:29:38
Po raz ostatni                nie, 20 cze 2010, 22:33:40
Lokalny identyfikator         e4c41106-42f5-4fd2-9db5-bdfbad9c1048
Liczba wierszy                

Surowe komunikaty audytu      

node=(usunięto) type=AVC msg=audit(1277066020.299:24815): avc:  denied  { execmod } for  pid=11967 comm="JediOutcast.exe" path="/home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/lib/wine/uxtheme.dll.so" dev=sda1 ino=1447790 scontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tcontext=unconfined_u:object_r:user_home_t:s0 tclass=file

node=(usunięto) type=SYSCALL msg=audit(1277066020.299:24815): arch=40000003 syscall=125 success=no exit=-13 a0=68c81000 a1=1000 a2=7 a3=3 items=0 ppid=11966 pid=11967 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="JediOutcast.exe" exe="/home/(usunięto)/.PlayOnLinux/WineVersions/1.1.44/usr/bin/wine-preloader" subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 key=(null)



Hash String generated from  allow_execmod,wine,unconfined_t,user_home_t,file,execmod
audit2allow suggests:

#============= unconfined_t ==============
#!!!! This avc can be allowed using the boolean 'allow_execmod'

allow unconfined_t user_home_t:file execmod;
Comment 1 Miroslav Grepl 2010-06-29 04:33:17 EDT
If you want to this to work in your homedir, it is probably best to turn the
check off.

# setsebool -P allow_execmod 1

Note You need to log in before you can comment on or make changes to this bug.